Zum Inhalt springen

O saldo e o extrato de pontos de um membro

GET/api/points/members/{memberId}

Auth
Token erforderlich
X-CommunityId
X-CommunityId Sende die X-CommunityId der Community, in der die Operation stattfindet.
Die Beschreibungen der Endpoints stammen aus der API-Spezifikation und sind vorerst auf Portugiesisch. Die Oberfläche drumherum ist übersetzt.

Owner e admin, de qualquer membro; a própria pessoa, de si. Moderador, financeiro e outro membro: 403.

Parameter

NameOrtTypBeschreibung
memberIdPflichtpathstring (uuid)
limitoptionalqueryinteger
beforeoptionalquerystring (date-time)

Header

NameTypBeschreibung
X-CommunityIdoptionalstring (uuid)ID da comunidade em que a operação acontece. Obrigatório na maioria dos endpoints com escopo de comunidade.

Antworten

StatusBeschreibung
200O extrato.
403Autenticado, mas sem permissão para esta operação.
404Recurso não encontrado.

curl-Beispiel

curl -X GET "https://api.memberfy.net/api/points/members/<memberId>" \
  -H "Authorization: Bearer $TOKEN" \
  -H "X-CommunityId: $COMMUNITY_ID"